import 'package:flutter/material.dart';

class ParameterImage extends StatelessWidget {
  const ParameterImage({
    super.key,
    required this.code,
    required this.value,
    required this.isSelected,
  });

  final String code;
  final String value;
  final bool isSelected;

  static const Color buttonBackgroundColor = Colors.white;
  static const Color buttonBorderColorActive = Colors.blue;
  static const Color buttonBorderColorInactive = Colors.white;
  static const double buttonBorderWidth = 8.0;
  static const double buttonBorderRadius = 8.0;

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: BoxDecoration(
        color: buttonBackgroundColor,
        borderRadius: BorderRadius.circular(buttonBorderRadius),
        border: Border.all(
          color:
              isSelected ? buttonBorderColorActive : buttonBorderColorInactive,
          width: buttonBorderWidth,
        ),
      ),
      child: Image(
        image: AssetImage('assets/ui/${code}_$value.png'),
        fit: BoxFit.fill,
      ),
    );
  }
}
